Summary:	C++ wrapper for GtkGLExt library
Summary(pl.UTF-8):	Interfejs C++ do biblioteki GtkGLExt
Name:		gtkglextmm
Version:	1.2.0
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
# Source0-md5:	27c05f4d45c5fd07b6fb0f044add3056
Patch0:		gdkspanfunc.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-glibmm.patch
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	gtkglext-devel >= 1.0.0
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	mm-common
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
gtkglextmm is C++ wrapper for GtkGLExt, OpenGL Extension to GTK.

%description -l pl.UTF-8
gtkglextmm to interfejs C++ do GtkGLExt - rozszerzenia OpenGL dla GTK.

%package devel
Summary:	Header files for gtkglextmm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gtkglextmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkglext-devel >= 1.0.0
Requires:	gtkmm-devel >= 2.4.0

%description devel
Header files for gtkglextmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gtkglextmm.

%package static
Summary:	Static gtkglextmm library
Summary(pl.UTF-8):	Statyczna biblioteka gtkglextmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gtkglextmm library.

%description static -l pl.UTF-8
Statyczna biblioteka gtkglextmm.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgdkglextmm-x11-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdkglextmm-x11-1.2.so.0
%attr(755,root,root) %{_libdir}/libgtkglextmm-x11-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkglextmm-x11-1.2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdkglextmm-x11-1.2.so
%attr(755,root,root) %{_libdir}/libgtkglextmm-x11-1.2.so
%{_libdir}/gtkglextmm-1.2
%{_includedir}/gtkglextmm-1.2
%{_aclocaldir}/gtkglextmm-1.2.m4
%{_pkgconfigdir}/gdkglextmm-1.2.pc
%{_pkgconfigdir}/gdkglextmm-x11-1.2.pc
%{_pkgconfigdir}/gtkglextmm-1.2.pc
%{_pkgconfigdir}/gtkglextmm-x11-1.2.pc
%{_gtkdocdir}/gtkglextmm-1.2

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkglextmm-x11-1.2.a
%{_libdir}/libgtkglextmm-x11-1.2.a
%changelog
* Wed Jul 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkglextmm.git;a=log;h=master

* Tue Jul 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 1c5396b
- added am patch (avoid automake warning when gtkglextmm-devel is installed)
- added glibmm patch (updates to build with current glibmm)
- release 3

* Tue Mar 29 2011 Artur Frysiak <artur@frysiak.net> 9f58e2d
- drop libtool patch
- add gdkspanfunc.patch (compilation fix on newer gtk/gtkmm)
- rel. 2

* Sun Jun 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 788dd33
- ghost soname symlink

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4118771
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b41baee
- converted to UTF-8

* Sun Mar 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 8645177
- updated to 1.2.0

* Tue Aug 17 2004 ankry <ankry@pld-linux.org> 3b69866
- rel. 3 to rebuild

* Tue Jul 20 2004 averne <averne@pld-linux.org> 464ffdf
- rel 2 for rebuild

* Sun Jun 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 2ca53d5
- updated to 1.1.0 for gtkmm 2.4.x

* Sun Jun 13 2004 averne <averne@pld-linux.org> c21c539
- rel2 for rebuild with propper libs

* Sat Nov 22 2003 Jakub Bogusz <qboosh@pld-linux.org> bb287a5
- updated to 1.0.1

* Sat Aug 09 2003 Jakub Bogusz <qboosh@pld-linux.org> b294b2a
- new

